[Spice-devel] [PATCH spice-server v2 6/6] RFC EXAMPLE Some automatic check on video encoders
Frediano Ziglio
fziglio at redhat.com
Fri Oct 21 12:40:40 UTC 2016
Signed-off-by: Frediano Ziglio <fziglio at redhat.com>
---
server/tests/Makefile.am | 1 +
server/tests/video-encoders | 21 +++++++++++++++++++++
2 files changed, 22 insertions(+)
create mode 100755 server/tests/video-encoders
diff --git a/server/tests/Makefile.am b/server/tests/Makefile.am
index c799779..ef0e335 100644
--- a/server/tests/Makefile.am
+++ b/server/tests/Makefile.am
@@ -62,6 +62,7 @@ noinst_PROGRAMS = \
$(NULL)
TESTS = $(check_PROGRAMS) \
+ video-encoders \
$(NULL)
noinst_LIBRARIES += \
diff --git a/server/tests/video-encoders b/server/tests/video-encoders
new file mode 100755
index 0000000..444af09
--- /dev/null
+++ b/server/tests/video-encoders
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+base_test() {
+ echo "Running test with options: $*"
+ ./gst-test -i 'filesrc num-buffers=200 location=/home/freddy/Downloads/bbb_sunflower_1080p_30fps_normal.mp4 ! decodebin ! videoconvert qos=false' "$@"
+}
+
+for clipping in '' '--clipping (10%,10%)-(50%,50%)'
+do
+ for encoder in mjpeg 'gstreamer:mjpeg --min-psnr 20' gstreamer:vp8 gstreamer:h264
+ do
+ # TODO check if encoder is supported
+ for format in 16BIT 24BIT 32BIT RGBA
+ do
+ base_test -f $format -e $encoder $clipping
+ done
+ done
+done
+
--
2.7.4
More information about the Spice-devel
mailing list